Bug 4934 - Не локализовано сообщение в особой настройке параметров окон
: Не локализовано сообщение в особой настройке параметров окон
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-21 09:25 MSK by Vladimir Potapov
Modified: 2015-04-06 11:27 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (55.15 KB, image/png)
2015-01-21 09:25 MSK, Vladimir Potapov
Details
for-new-user.jpg (87.69 KB, image/jpeg)
2015-03-31 12:00 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-01-21 09:25:07 MSK
Created attachment 3668 [details]
ss
Comment 1 Denis Silakov 2015-03-20 15:10:18 MSK
Я бы вообще это правило убрал нафиг. Вряд ли у нас много пользователей программы "xv".
Comment 2 VictorR2007 2015-03-21 10:00:24 MSK
Кстати, в KDE5 это убрали совсем.
Я у себя просто удаляю эту строку в настройках рабочего стола.
Сама фраза находится в файле 
/usr/share/apps/kwin/default_rules/fsp_workarounds_1.kwinrules
У меня не вышло заставить её отображаться на русском.
Comment 3 Denis Silakov 2015-03-27 19:10:05 MSK
(In reply to comment #2)
> Сама фраза находится в файле 
> /usr/share/apps/kwin/default_rules/fsp_workarounds_1.kwinrules
> У меня не вышло заставить её отображаться на русском.

Там-то она там, но ни удаление этого файла из системы, ни обновление напакет, где этот файл удален, не приводят к желаемому эффекту. Возможно, при чистой установке будет по-другому.

Вот интересно, когда эту строку удаляешь в настройках рабочего стола, где и что очищается? Она ведь реально пропадает после этого, хотя файл fsp_workarounds_1.kwinrules остается на месте.
Comment 4 VictorR2007 2015-03-27 19:50:41 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > Сама фраза находится в файле 
> > /usr/share/apps/kwin/default_rules/fsp_workarounds_1.kwinrules
> > У меня не вышло заставить её отображаться на русском.
> 
> Там-то она там, но ни удаление этого файла из системы, ни обновление
> напакет, где этот файл удален, не приводят к желаемому эффекту. Возможно,
> при чистой установке будет по-другому.
> 
> Вот интересно, когда эту строку удаляешь в настройках рабочего стола, где и
> что очищается? Она ведь реально пропадает после этого, хотя файл
> fsp_workarounds_1.kwinrules остается на месте.

Я много часов потратил на эту фразы.
Было просто интересно решить загадку.
Если её просто переименовать в онне "настроек особых параметров окна"
то это будет навсегда для пользователя.
Что не мог понять, так откуда она возникает вообще, если удалить этот файл.
Я переыл все исходники по словосочетаниям из этой фразы.
Больше её нет нигде.
Comment 5 Vladimir Potapov 2015-03-28 07:35:45 MSK
Кэш KDE чистили?
Comment 6 VictorR2007 2015-03-28 13:08:58 MSK
> Вот интересно, когда эту строку удаляешь в настройках рабочего стола, где и
> что очищается? Она ведь реально пропадает после этого, хотя файл
> fsp_workarounds_1.kwinrules остается на месте.
В файле ~/.kde4/share/config/kwinrulesrc
создается пустая секция и больше этот текст не появляется.
[1]
Description[$d]
fsplevel[$d]
fsplevelrule[$d]
types[$d]
wmclass[$d]
wmclasscomplete[$d]
wmclassmatch[$d]
А если удалить файл ~/.kde4/share/config/kwinrulesrc
и очистить кеш, с предварительно удаленным файлом fsp_workarounds_1.kwinrules
то этот текст опять появится в "Поведение окон - Особые параметры окон".
Но если попытаться создать правило, шелкнув по заголовку окна и выбрав "Дополнительно - Специальные парамеры окна" и сразу закрыть появившееся окно настроек,
то фраза (Default) Disable focus stealing prevention for XV
исчезнет из "Поведение окон - Особые параметры окон"
Comment 7 Denis Silakov 2015-03-29 15:46:50 MSD
Ага. Есть версия, что эта штука приходит из файла /var/lib/mandriva/kde4-profiles/common/share/config/kwinrulesrc, который поставляется с нашими дефолтными настройками KDE (mandriva-kde4-config-common).

В том файле и локализации нет, в отличие от fsp_workarounds_1.kwinrules. Так что можно даже попробовать перевод добавить.
Comment 8 VictorR2007 2015-03-29 16:53:17 MSD
Точно.
Добавил в этот файл перевод и проблема исчезла.
Comment 9 Denis Silakov 2015-03-30 17:39:12 MSD
Advisory:
Localize description of default kwin rules in KDE System Settings.

Build lists:
https://abf.io/build_lists/2486283
https://abf.io/build_lists/2486284
Comment 10 FirstLevel 2015-03-31 12:00:56 MSD
Created attachment 3853 [details]
for-new-user.jpg
Comment 11 FirstLevel 2015-03-31 12:03:15 MSD
(In reply to comment #9)
> Advisory:
> Localize description of default kwin rules in KDE System Settings.
> 
> Build lists:
> https://abf.io/build_lists/2486283
> https://abf.io/build_lists/2486284

Update goes well. But I see that for old KDE profile - nothing cghanges. Onlu for new KDE profile, see attachment  for-new-user.jpg
Comment 12 Denis Silakov 2015-03-31 12:47:17 MSD
I'm afraid we can't do anything for already existing profiles without a risk to break anything. We will need to modify kwinrules configs in users' home directories for that, and this is not a good idea. We try not to touch files at /home at all.

If users want to update their existing configs, they can try to remove ~/.kde4/share/config/kwinrulesrc or manually add localization strings from /var/lib/mandriva/kde4-profiles/common/share/config/kwinrulesrc to ~/.kde4/share/config/kwinrulesrc.
Comment 13 Vladimir Potapov 2015-03-31 13:42:46 MSD
The update is sent to expanded testing
**************************************
Comment 14 Vladimir Potapov 2015-04-06 11:15:21 MSD
mandriva-kde4-config-2014-10
https://abf.io/build_lists/2486283
https://abf.io/build_lists/2486284
************************ Advisory ******************************
Localize description of default kwin rules in KDE System Settings.
****************************************************************
QA Verified